'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _skeleton = require('./skeleton1');

var _skeleton2 = _interopRequireDefault(_skeleton);

var _skeleton3 = require('./skeleton2');

var _skeleton4 = _interopRequireDefault(_skeleton3);

var _skeleton5 = require('./skeleton3');

var _skeleton6 = _interopRequireDefault(_skeleton5);

var _skeleton7 = require('./skeleton4');

var _skeleton8 = _interopRequireDefault(_skeleton7);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var XyLoading = function (_React$Component) {
    _inherits(XyLoading, _React$Component);

    function XyLoading() {
        _classCallCheck(this, XyLoading);

        return _possibleConstructorReturn(this, (XyLoading.__proto__ || Object.getPrototypeOf(XyLoading)).apply(this, arguments));
    }

    _createClass(XyLoading, [{
        key: 'render',
        value: function render() {

            /*loading动画类型*/
            var component = void 0;
            if (this.props.type == 'skeleton1') component = _react2.default.createElement(_skeleton2.default, null);
            if (this.props.type == 'skeleton2') component = _react2.default.createElement(_skeleton4.default, null);
            if (this.props.type == 'skeleton3') component = _react2.default.createElement(_skeleton6.default, null);
            if (this.props.type == 'skeleton4') component = _react2.default.createElement(_skeleton8.default, null);

            /*组件可见性*/
            var visibility = this.props.visibility ? 'block' : 'none';

            return _react2.default.createElement(
                'div',
                { style: { display: visibility } },
                component
            );
        }
    }]);

    return XyLoading;
}(_react2.default.Component);

exports.default = XyLoading;


XyLoading.defaultProps = {
    visibility: true, // 组件可见性 默认可见
    type: 'skeleton1' // 样式类型
};

// ReactDOM.render(
//     <XyLoading/>,
//     document.getElementById('app')
// )
//# sourceMappingURL=index.js.map